%define major	0
%define libname	%mklibname ettercap %{major}

Name:		ettercap
Version:	0.8.2
%define subrel	1
Release:	%mkrel 1
License:	GPLv2+
Group:		Networking/Other
Summary:	Ncurses/Gtk2 based sniffer/interceptor utility
URL:		http://ettercap.github.io/ettercap/
Source:		https://github.com/Ettercap/ettercap/archive/v%{version}/%{name}-%{version}.tar.gz
Patch0:		ettercap-0.8.2-fix-desktop-file.patch
Patch1:		ettercap-0.8.2-ncurses-tinfo.patch
Patch2:         ettercap-0.8.2-CVE-2017-6430.patch
Patch3:		ettercap-0.8.2-CVE-2017-8366.patch
BuildRequires:	libpcap-devel >= 0.8.1
BuildRequires:	libcurl-devel
BuildRequires:	net-devel >= 1.1.2.1
BuildRequires:	zlib-devel
BuildRequires:	libtool-devel
BuildRequires:	pcre-devel
BuildRequires:	openssl-devel
BuildRequires:	ncurses-devel
BuildRequires:	pkgconfig >= 0.15.0
BuildRequires:	gtk+2-devel
BuildRequires:	flex
BuildRequires:	bison
BuildRequires:	cmake
BuildRequires:	groff
BuildRequires:	ghostscript

%description
Ettercap is a suite for man in the middle attacks on LAN.

It features sniffing of live connections, content filtering
on the fly and many other interesting tricks.

It supports active and passive dissection of many protocols
(even ciphered ones) and includes many feature for network
and host analysis.

%package -n	%{libname}
Group:	 	System/Libraries
Summary:	Ettercap library

%description -n	%{libname}
Ettercap library.

%prep
%setup -q
%apply_patches

%build
%cmake \
	-DENABLE_IPV6=yes \
	-DCMAKE_BUILD_TYPE=Release \
	-DCURSES_NCURSES_EXTRA_LIBRARY:FILEPATH=%{_libdir}/libtinfo.so
%make

%install
cd build
%makeinstall_std

%files
%doc AUTHORS CHANGELOG INSTALL LICENSE README* THANKS TODO TODO.TESTING doc/*
%{_mandir}/man?/*
%{_bindir}/*
%{_datadir}/ettercap
%{_datadir}/appdata/ettercap.appdata.xml
%{_datadir}/applications/ettercap.desktop
%{_datadir}/pixmaps/ettercap.svg
%{_datadir}/polkit-1/actions/org.pkexec.ettercap.policy
%{_libdir}/ettercap
%{_libdir}/libettercap.so
%dir %{_sysconfdir}/ettercap
%config(noreplace) %{_sysconfdir}/ettercap/*

%files -n %{libname}
%{_libdir}/libettercap.so.%{major}*


%changelog
* Sat Jun 10 2017 luigiwalser <luigiwalser> 0.8.2-1.1.mga5
+ Revision: 1107479
- rediff patch from fedora to fix CVE-2017-8366

  + neoclust <neoclust>
    - New version - Fixes CVE-2017-6430 (mga#20486)

* Tue Dec 30 2014 luigiwalser <luigiwalser> 0.8.0-6.mga5
+ Revision: 807427
- add upstream patches (rediffed 5th and 10th) to fix security issues (mga#14919)

* Wed Oct 15 2014 umeabot <umeabot> 0.8.0-5.mga5
+ Revision: 749137
- Second Mageia 5 Mass Rebuild

* Mon Oct 06 2014 umeabot <umeabot> 0.8.0-4.mga5
+ Revision: 737058
- Mageia 5 Mass Rebuild

* Mon Oct 21 2013 umeabot <umeabot> 0.8.0-3.mga4
+ Revision: 539643
- Mageia 4 Mass Rebuild

* Mon Oct 07 2013 wally <wally> 0.8.0-2.mga4
+ Revision: 492638
- add more proper fix to ncurses/tinfo issue

* Mon Oct 07 2013 wally <wally> 0.8.0-1.mga4
+ Revision: 492623
- fix build with ncurses after tinfo split

  + pterjan <pterjan>
    - 0.8.0
    - Updated patch + file list

* Sun Jun 02 2013 pterjan <pterjan> 0.7.6-1.mga4
+ Revision: 434301
- Update to 0.7.6

* Fri Feb 01 2013 luigiwalser <luigiwalser> 0.7.4.1-6.mga3
+ Revision: 393951
- rediff patch from fedora to fix CVE-2013-0722

* Fri Jan 11 2013 umeabot <umeabot> 0.7.4.1-5.mga3
+ Revision: 349767
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 10 2013 sander85 <sander85> 0.7.4.1-4.mga3
+ Revision: 344693
- Fix build with automake 1.13

* Sat Dec 01 2012 fwang <fwang> 0.7.4.1-3.mga3
+ Revision: 323772
- rebuild for new pcre

* Wed Aug 08 2012 luigiwalser <luigiwalser> 0.7.4.1-2.mga3
+ Revision: 280069
- add patch from fedora to fix CVE-2010-3843

* Mon Mar 05 2012 pterjan <pterjan> 0.7.4.1-1.mga2
+ Revision: 219342
- Update to 0.7.4.1

* Wed Dec 21 2011 pterjan <pterjan> 0.7.4-1.mga2
+ Revision: 185525
- Hack to fix parallel build
- imported package ettercap

